﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Data;
using DotNetCore.BannerManagement.Domain;
using System.Data.SqlClient;
using System.Diagnostics;
using Microsoft.Practices.Repository;
using Microsoft.Practices.Repository.SQLServer;

namespace DotNetCore.BannerManagement.DAL
{
    /// <summary>
    /// Respository that lets you find Count in the
    /// CRM database.
    /// </summary>
    public interface ICountRepository
    {

        Count GetImpressionsByAdvertisementID(System.Int32 advertisementId);

        Count GetClickThroughsByAdvertisementID(System.Int32 advertisementId);

    }
}

