﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Data;
using DotNetCore.BannerManagement.Domain;
using System.Data.SqlClient;
using System.Diagnostics;
using Microsoft.Practices.Repository;
using Microsoft.Practices.Repository.SQLServer;

namespace DotNetCore.BannerManagement.DAL
{
    /// <summary>
    /// Respository that lets you find dnc_Advertisement in the
    /// CRM database.
    /// </summary>
    public interface Idnc_AdvertisementRepository
    {

		List<dnc_Advertisement> GetAllFromdnc_Advertisement();

        List<dnc_Advertisement> GetAllPendingFromdnc_Advertisement();

		dnc_Advertisement Getdnc_AdvertisementByID(System.Int32 iD);

		dnc_Advertisement GetNextAdvertisement(System.String zoneName);

        List<dnc_Advertisement> Getdnc_AdvertisementByAdvertiserID(System.Int32 iD);

        void Add(dnc_Advertisement dnc_Advertisement);

        void Remove(System.Int32 iD);
      
		void Save(dnc_Advertisement dnc_Advertisement);

    }
}

