﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="Site.Master" CodeBehind="AddProduct.aspx.vb"
    Inherits="DotNetCore.BannerManagement.AddProduct" Title="Banner Management - Add Product" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div style="text-align: left;">
        <h3>
            Add Product</h3>
        <!-- Zone/Product Information -->
        <table>
            <tr>
                <td>
                    <b>Zone</b>
                </td>
                <td>
                    <asp:Label ID="lblZone" runat="server" Text=""></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <b>Description</b>
                </td>
                <td>
                    <asp:Label ID="lblDescription" runat="server" Text=""></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <b>Cost</b>
                </td>
                <td>
                    <asp:Label ID="lblCost" runat="server" Text=""></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <b>Months</b>
                </td>
                <td>
                    <asp:DropDownList ID="ddlMonth" runat="server" AutoPostBack="true">
                        <asp:ListItem Selected="True">1</asp:ListItem>
                        <asp:ListItem>2</asp:ListItem>
                        <asp:ListItem>3</asp:ListItem>
                        <asp:ListItem>4</asp:ListItem>
                        <asp:ListItem>5</asp:ListItem>
                        <asp:ListItem>6</asp:ListItem>
                        <asp:ListItem>7</asp:ListItem>
                        <asp:ListItem>8</asp:ListItem>
                        <asp:ListItem>9</asp:ListItem>
                        <asp:ListItem>10</asp:ListItem>
                        <asp:ListItem>11</asp:ListItem>
                        <asp:ListItem>12</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <br />
        <br />
        <!-- Banner Information -->
        <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
        <table>
            <tr>
                <td>
                    Advertisement Name
                </td>
                <td>
                    <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvName" ControlToValidate="txtName" runat="server"
                        ErrorMessage="You must enter an advertisement name" Display="None">
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    Banner Image
                </td>
                <td>
                    <asp:FileUpload ID="fupBanner" runat="server" /><br />
                    <asp:CustomValidator ID="cvBanner" runat="server" ControlToValidate="fupBanner" ValidateEmptyText="true"
                        ErrorMessage="" Display="None"></asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td>
                    Image Alternate Text
                </td>
                <td>
                    <asp:TextBox ID="txtAltText" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    URL
                </td>
                <td>
                    <asp:TextBox ID="txtURL" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvURL" ControlToValidate="txtURL" runat="server"
                        ErrorMessage="You must enter a URL" Display="None">
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    Start Date
                </td>
                <td>
                    <%=Date.Now.ToString("dd MMM yyyy")%>
                </td>
            </tr>
            <tr>
                <td>
                    End Date
                </td>
                <td>
                    <%=Date.Now.AddMonths(Convert.ToInt32(ddlMonth.SelectedValue)).ToString("dd MMM yyyy")%>
                </td>
            </tr>
        </table>
        <br />
        <br />
    </div>
    <asp:Button ID="btnPurchase" runat="server" Text="Proceed to Checkout" />
</asp:Content>
